Bug 1176002 - CVE-2014-5354 krb5: NULL pointer dereference when using keyless entries [fedora-21]
Summary: CVE-2014-5354 krb5: NULL pointer dereference when using keyless entries [fedo...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-5354
TreeView+ depends on / blocked
 
Reported: 2014-12-19 05:19 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-09-09 20:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 20:56:38 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-12-19 05:19:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-21 tracking bug for krb5: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-12-19 05:20:07 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1174546,1176002

# Description of your update
notes=Security fix for CVE-2014-5354

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1174546,1176002

Comment 2 Tomas Hoger 2015-02-17 13:04:46 UTC
The fix is in F21 krb5 packages as of -11, but was never submitted as Bodhi update.  Any specific reason why?

Comment 3 Roland Mainz 2015-02-19 22:55:31 UTC
(In reply to Tomas Hoger from comment #2)
> The fix is in F21 krb5 packages as of -11, but was never submitted as Bodhi
> update.  Any specific reason why?

No reason. I did my job and issued the $ fedpkg update # (I remember the issue because I had to fight fedpkg update password-wise and had to ask and I double-checked it against my worklogs) - see https://bugzilla.redhat.com/show_bug.cgi?id=1188869#c8 ... I have no clue why the update mechanism wasn't triggered then... ,-/

Comment 4 Fedora Admin XMLRPC Client 2015-09-01 21:35:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Robbie Harwood 2015-09-09 20:56:38 UTC
It looks to me like bodhi updates have since been issued.  Please reopen if there is still a problem.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.